# CrossConnect

Cross connect service endpoints

## GET /v3/crossConnect

> Get the list of all cross connect

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CrossConnect":{"type":"object","required":["id","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","monthlyFee","setupFee","currencyId","colocatedServerId","hostId","locationIdSideA","locationIdSideAName","locationIdSideZ","locationIdSideZName","locationDetails","rackIdSideA","rackIdSideAName","rackIdSideZ","rackIdSideZName","goLiveDate","internalId","patchInternalName","thirdPartyId","vendorId","cableType","cableSpeed","connectorSideAType","connectorSideZType","diverseFromPatchId","customerNotes","uplinks","connectivityType","outgoingTrafficSum","incomingTrafficSum","bandwidthBillingType"],"properties":{"id":{"type":"integer","format":"integer","description":"Cross connect ID","readOnly":true},"dateStart":{"type":"string","format":"","description":"Start date of the cross connect","readOnly":true},"dateEnd":{"type":"string","format":"","description":"End date of the cross connect","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Cancelled date of the cross connect","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"End contract date of the cross connect","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"Contract period of the cross connect","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"Extend period of the cross connect","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"Payment term of the cross connect","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order of the cross connect"},"monthlyFee":{"type":"string","format":"","description":"Monthly fee of the cross connect in cents","readOnly":true},"setupFee":{"type":"string","format":"","description":"Setup fee of the cross connect in cents","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency ID\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"colocatedServerId":{"type":"integer","format":"integer","description":"Colocated server ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"Host ID","readOnly":true},"locationIdSideA":{"type":"integer","format":"integer","description":"Location ID of the Side A","readOnly":true},"locationIdSideAName":{"type":"string","format":"","description":"Location name of the Side A","readOnly":true},"locationIdSideZ":{"type":"integer","format":"integer","description":"Location ID of the Side B","readOnly":true},"locationIdSideZName":{"type":"string","format":"","description":"Location name of the Side B","readOnly":true},"locationDetails":{"type":"string","format":"","description":"Location details","readOnly":true},"rackIdSideA":{"type":"integer","format":"integer","description":"Rack ID of the Side A","readOnly":true},"rackIdSideAName":{"type":"string","format":"","description":"Rack Name of the Side A","readOnly":true},"rackIdSideZ":{"type":"integer","format":"integer","description":"Rack ID of the Side B","readOnly":true},"rackIdSideZName":{"type":"string","format":"","description":"Rack Name of the Side B","readOnly":true},"goLiveDate":{"type":"string","format":"","description":"Go live date","readOnly":true},"internalId":{"type":"string","format":"","description":"Internal ID of the service","readOnly":true},"patchInternalName":{"type":"string","format":"","description":"Internal name of the patch","readOnly":true},"patchCustomerName":{"type":"string","format":"","description":"Customer name of the patch"},"thirdPartyId":{"type":"string","format":"","description":"Third party ID of the service","readOnly":true},"vendorId":{"type":"integer","format":"integer","description":"Vendor ID of the service","readOnly":true},"cableType":{"type":"integer","format":"integer","description":"Type of cable","readOnly":true},"cableSpeed":{"type":"integer","format":"integer","description":"Cable speed","readOnly":true},"connectorSideAType":{"type":"integer","format":"integer","description":"Connector of Side A","readOnly":true},"connectorSideZType":{"type":"integer","format":"integer","description":"Connector of Side Z","readOnly":true},"diverseFromPatchId":{"type":"integer","format":"integer","description":"Diverse from patch id","readOnly":true},"customerNotes":{"type":"string","format":"","description":"Notes of the customer","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/UpLink"},"description":"The available uplinks for this cross connect","readOnly":true},"connectivityType":{"type":"string","format":"","description":"The type of connectivity service\nFollowing will be possible values:\n* Connectivity: Transport\n* Connectivity: IP connectivity\n* Connectivity: Crossconnect","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true}},"additionalProperties":false},"UpLink":{"type":"object","required":["side","uplinkId"],"properties":{"side":{"type":"string","format":"","description":"Side of the uplink\nFollowing will be possible values for sides uplink:\n* A\n* Z","readOnly":true},"uplinkId":{"type":"integer","format":"integer","description":"Up Link ID","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect":{"get":{"tags":["CrossConnect"],"summary":"Get the list of all cross connect","operationId":"getCrossConnects","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossConnect"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/crossConnect/{crossConnectId}

> Get the list of all cross connect

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CrossConnect":{"type":"object","required":["id","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","monthlyFee","setupFee","currencyId","colocatedServerId","hostId","locationIdSideA","locationIdSideAName","locationIdSideZ","locationIdSideZName","locationDetails","rackIdSideA","rackIdSideAName","rackIdSideZ","rackIdSideZName","goLiveDate","internalId","patchInternalName","thirdPartyId","vendorId","cableType","cableSpeed","connectorSideAType","connectorSideZType","diverseFromPatchId","customerNotes","uplinks","connectivityType","outgoingTrafficSum","incomingTrafficSum","bandwidthBillingType"],"properties":{"id":{"type":"integer","format":"integer","description":"Cross connect ID","readOnly":true},"dateStart":{"type":"string","format":"","description":"Start date of the cross connect","readOnly":true},"dateEnd":{"type":"string","format":"","description":"End date of the cross connect","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Cancelled date of the cross connect","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"End contract date of the cross connect","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"Contract period of the cross connect","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"Extend period of the cross connect","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"Payment term of the cross connect","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order of the cross connect"},"monthlyFee":{"type":"string","format":"","description":"Monthly fee of the cross connect in cents","readOnly":true},"setupFee":{"type":"string","format":"","description":"Setup fee of the cross connect in cents","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency ID\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"colocatedServerId":{"type":"integer","format":"integer","description":"Colocated server ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"Host ID","readOnly":true},"locationIdSideA":{"type":"integer","format":"integer","description":"Location ID of the Side A","readOnly":true},"locationIdSideAName":{"type":"string","format":"","description":"Location name of the Side A","readOnly":true},"locationIdSideZ":{"type":"integer","format":"integer","description":"Location ID of the Side B","readOnly":true},"locationIdSideZName":{"type":"string","format":"","description":"Location name of the Side B","readOnly":true},"locationDetails":{"type":"string","format":"","description":"Location details","readOnly":true},"rackIdSideA":{"type":"integer","format":"integer","description":"Rack ID of the Side A","readOnly":true},"rackIdSideAName":{"type":"string","format":"","description":"Rack Name of the Side A","readOnly":true},"rackIdSideZ":{"type":"integer","format":"integer","description":"Rack ID of the Side B","readOnly":true},"rackIdSideZName":{"type":"string","format":"","description":"Rack Name of the Side B","readOnly":true},"goLiveDate":{"type":"string","format":"","description":"Go live date","readOnly":true},"internalId":{"type":"string","format":"","description":"Internal ID of the service","readOnly":true},"patchInternalName":{"type":"string","format":"","description":"Internal name of the patch","readOnly":true},"patchCustomerName":{"type":"string","format":"","description":"Customer name of the patch"},"thirdPartyId":{"type":"string","format":"","description":"Third party ID of the service","readOnly":true},"vendorId":{"type":"integer","format":"integer","description":"Vendor ID of the service","readOnly":true},"cableType":{"type":"integer","format":"integer","description":"Type of cable","readOnly":true},"cableSpeed":{"type":"integer","format":"integer","description":"Cable speed","readOnly":true},"connectorSideAType":{"type":"integer","format":"integer","description":"Connector of Side A","readOnly":true},"connectorSideZType":{"type":"integer","format":"integer","description":"Connector of Side Z","readOnly":true},"diverseFromPatchId":{"type":"integer","format":"integer","description":"Diverse from patch id","readOnly":true},"customerNotes":{"type":"string","format":"","description":"Notes of the customer","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/UpLink"},"description":"The available uplinks for this cross connect","readOnly":true},"connectivityType":{"type":"string","format":"","description":"The type of connectivity service\nFollowing will be possible values:\n* Connectivity: Transport\n* Connectivity: IP connectivity\n* Connectivity: Crossconnect","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true}},"additionalProperties":false},"UpLink":{"type":"object","required":["side","uplinkId"],"properties":{"side":{"type":"string","format":"","description":"Side of the uplink\nFollowing will be possible values for sides uplink:\n* A\n* Z","readOnly":true},"uplinkId":{"type":"integer","format":"integer","description":"Up Link ID","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}":{"get":{"tags":["CrossConnect"],"summary":"Get the list of all cross connect","operationId":"getCrossConnect","parameters":[{"name":"crossConnectId","in":"path","description":"The ID of the cross connect","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossConnect"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid cross connect ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/crossConnect/{crossConnectId}

> Update the cross connect by ID

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CrossConnect":{"type":"object","required":["id","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","monthlyFee","setupFee","currencyId","colocatedServerId","hostId","locationIdSideA","locationIdSideAName","locationIdSideZ","locationIdSideZName","locationDetails","rackIdSideA","rackIdSideAName","rackIdSideZ","rackIdSideZName","goLiveDate","internalId","patchInternalName","thirdPartyId","vendorId","cableType","cableSpeed","connectorSideAType","connectorSideZType","diverseFromPatchId","customerNotes","uplinks","connectivityType","outgoingTrafficSum","incomingTrafficSum","bandwidthBillingType"],"properties":{"id":{"type":"integer","format":"integer","description":"Cross connect ID","readOnly":true},"dateStart":{"type":"string","format":"","description":"Start date of the cross connect","readOnly":true},"dateEnd":{"type":"string","format":"","description":"End date of the cross connect","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Cancelled date of the cross connect","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"End contract date of the cross connect","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"Contract period of the cross connect","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"Extend period of the cross connect","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"Payment term of the cross connect","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order of the cross connect"},"monthlyFee":{"type":"string","format":"","description":"Monthly fee of the cross connect in cents","readOnly":true},"setupFee":{"type":"string","format":"","description":"Setup fee of the cross connect in cents","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency ID\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"colocatedServerId":{"type":"integer","format":"integer","description":"Colocated server ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"Host ID","readOnly":true},"locationIdSideA":{"type":"integer","format":"integer","description":"Location ID of the Side A","readOnly":true},"locationIdSideAName":{"type":"string","format":"","description":"Location name of the Side A","readOnly":true},"locationIdSideZ":{"type":"integer","format":"integer","description":"Location ID of the Side B","readOnly":true},"locationIdSideZName":{"type":"string","format":"","description":"Location name of the Side B","readOnly":true},"locationDetails":{"type":"string","format":"","description":"Location details","readOnly":true},"rackIdSideA":{"type":"integer","format":"integer","description":"Rack ID of the Side A","readOnly":true},"rackIdSideAName":{"type":"string","format":"","description":"Rack Name of the Side A","readOnly":true},"rackIdSideZ":{"type":"integer","format":"integer","description":"Rack ID of the Side B","readOnly":true},"rackIdSideZName":{"type":"string","format":"","description":"Rack Name of the Side B","readOnly":true},"goLiveDate":{"type":"string","format":"","description":"Go live date","readOnly":true},"internalId":{"type":"string","format":"","description":"Internal ID of the service","readOnly":true},"patchInternalName":{"type":"string","format":"","description":"Internal name of the patch","readOnly":true},"patchCustomerName":{"type":"string","format":"","description":"Customer name of the patch"},"thirdPartyId":{"type":"string","format":"","description":"Third party ID of the service","readOnly":true},"vendorId":{"type":"integer","format":"integer","description":"Vendor ID of the service","readOnly":true},"cableType":{"type":"integer","format":"integer","description":"Type of cable","readOnly":true},"cableSpeed":{"type":"integer","format":"integer","description":"Cable speed","readOnly":true},"connectorSideAType":{"type":"integer","format":"integer","description":"Connector of Side A","readOnly":true},"connectorSideZType":{"type":"integer","format":"integer","description":"Connector of Side Z","readOnly":true},"diverseFromPatchId":{"type":"integer","format":"integer","description":"Diverse from patch id","readOnly":true},"customerNotes":{"type":"string","format":"","description":"Notes of the customer","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/UpLink"},"description":"The available uplinks for this cross connect","readOnly":true},"connectivityType":{"type":"string","format":"","description":"The type of connectivity service\nFollowing will be possible values:\n* Connectivity: Transport\n* Connectivity: IP connectivity\n* Connectivity: Crossconnect","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true}},"additionalProperties":false},"UpLink":{"type":"object","required":["side","uplinkId"],"properties":{"side":{"type":"string","format":"","description":"Side of the uplink\nFollowing will be possible values for sides uplink:\n* A\n* Z","readOnly":true},"uplinkId":{"type":"integer","format":"integer","description":"Up Link ID","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}":{"put":{"tags":["CrossConnect"],"summary":"Update the cross connect by ID","operationId":"updateCrossConnect","parameters":[{"name":"crossConnectId","in":"path","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossConnect"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossConnect"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid crossConnectId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/crossConnect/{crossConnectId}/invoice

> Get all the invoices for a specific cross connect

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CrossConnect":{"type":"object","required":["id","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","monthlyFee","setupFee","currencyId","colocatedServerId","hostId","locationIdSideA","locationIdSideAName","locationIdSideZ","locationIdSideZName","locationDetails","rackIdSideA","rackIdSideAName","rackIdSideZ","rackIdSideZName","goLiveDate","internalId","patchInternalName","thirdPartyId","vendorId","cableType","cableSpeed","connectorSideAType","connectorSideZType","diverseFromPatchId","customerNotes","uplinks","connectivityType","outgoingTrafficSum","incomingTrafficSum","bandwidthBillingType"],"properties":{"id":{"type":"integer","format":"integer","description":"Cross connect ID","readOnly":true},"dateStart":{"type":"string","format":"","description":"Start date of the cross connect","readOnly":true},"dateEnd":{"type":"string","format":"","description":"End date of the cross connect","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Cancelled date of the cross connect","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"End contract date of the cross connect","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"Contract period of the cross connect","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"Extend period of the cross connect","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"Payment term of the cross connect","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order of the cross connect"},"monthlyFee":{"type":"string","format":"","description":"Monthly fee of the cross connect in cents","readOnly":true},"setupFee":{"type":"string","format":"","description":"Setup fee of the cross connect in cents","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency ID\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"colocatedServerId":{"type":"integer","format":"integer","description":"Colocated server ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"Host ID","readOnly":true},"locationIdSideA":{"type":"integer","format":"integer","description":"Location ID of the Side A","readOnly":true},"locationIdSideAName":{"type":"string","format":"","description":"Location name of the Side A","readOnly":true},"locationIdSideZ":{"type":"integer","format":"integer","description":"Location ID of the Side B","readOnly":true},"locationIdSideZName":{"type":"string","format":"","description":"Location name of the Side B","readOnly":true},"locationDetails":{"type":"string","format":"","description":"Location details","readOnly":true},"rackIdSideA":{"type":"integer","format":"integer","description":"Rack ID of the Side A","readOnly":true},"rackIdSideAName":{"type":"string","format":"","description":"Rack Name of the Side A","readOnly":true},"rackIdSideZ":{"type":"integer","format":"integer","description":"Rack ID of the Side B","readOnly":true},"rackIdSideZName":{"type":"string","format":"","description":"Rack Name of the Side B","readOnly":true},"goLiveDate":{"type":"string","format":"","description":"Go live date","readOnly":true},"internalId":{"type":"string","format":"","description":"Internal ID of the service","readOnly":true},"patchInternalName":{"type":"string","format":"","description":"Internal name of the patch","readOnly":true},"patchCustomerName":{"type":"string","format":"","description":"Customer name of the patch"},"thirdPartyId":{"type":"string","format":"","description":"Third party ID of the service","readOnly":true},"vendorId":{"type":"integer","format":"integer","description":"Vendor ID of the service","readOnly":true},"cableType":{"type":"integer","format":"integer","description":"Type of cable","readOnly":true},"cableSpeed":{"type":"integer","format":"integer","description":"Cable speed","readOnly":true},"connectorSideAType":{"type":"integer","format":"integer","description":"Connector of Side A","readOnly":true},"connectorSideZType":{"type":"integer","format":"integer","description":"Connector of Side Z","readOnly":true},"diverseFromPatchId":{"type":"integer","format":"integer","description":"Diverse from patch id","readOnly":true},"customerNotes":{"type":"string","format":"","description":"Notes of the customer","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/UpLink"},"description":"The available uplinks for this cross connect","readOnly":true},"connectivityType":{"type":"string","format":"","description":"The type of connectivity service\nFollowing will be possible values:\n* Connectivity: Transport\n* Connectivity: IP connectivity\n* Connectivity: Crossconnect","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true}},"additionalProperties":false},"UpLink":{"type":"object","required":["side","uplinkId"],"properties":{"side":{"type":"string","format":"","description":"Side of the uplink\nFollowing will be possible values for sides uplink:\n* A\n* Z","readOnly":true},"uplinkId":{"type":"integer","format":"integer","description":"Up Link ID","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}/invoice":{"get":{"tags":["CrossConnect"],"summary":"Get all the invoices for a specific cross connect","operationId":"getCrossConnectInvoices","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}},{"name":"crossConnectId","in":"path","description":"The ID of the cross connect","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossConnect"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid cross connect ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/crossConnect/{crossConnectId}/cancel

> cancel the cross connect by ID

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CrossConnect":{"type":"object","required":["id","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","monthlyFee","setupFee","currencyId","colocatedServerId","hostId","locationIdSideA","locationIdSideAName","locationIdSideZ","locationIdSideZName","locationDetails","rackIdSideA","rackIdSideAName","rackIdSideZ","rackIdSideZName","goLiveDate","internalId","patchInternalName","thirdPartyId","vendorId","cableType","cableSpeed","connectorSideAType","connectorSideZType","diverseFromPatchId","customerNotes","uplinks","connectivityType","outgoingTrafficSum","incomingTrafficSum","bandwidthBillingType"],"properties":{"id":{"type":"integer","format":"integer","description":"Cross connect ID","readOnly":true},"dateStart":{"type":"string","format":"","description":"Start date of the cross connect","readOnly":true},"dateEnd":{"type":"string","format":"","description":"End date of the cross connect","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Cancelled date of the cross connect","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"End contract date of the cross connect","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"Contract period of the cross connect","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"Extend period of the cross connect","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"Payment term of the cross connect","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order of the cross connect"},"monthlyFee":{"type":"string","format":"","description":"Monthly fee of the cross connect in cents","readOnly":true},"setupFee":{"type":"string","format":"","description":"Setup fee of the cross connect in cents","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency ID\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"colocatedServerId":{"type":"integer","format":"integer","description":"Colocated server ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"Host ID","readOnly":true},"locationIdSideA":{"type":"integer","format":"integer","description":"Location ID of the Side A","readOnly":true},"locationIdSideAName":{"type":"string","format":"","description":"Location name of the Side A","readOnly":true},"locationIdSideZ":{"type":"integer","format":"integer","description":"Location ID of the Side B","readOnly":true},"locationIdSideZName":{"type":"string","format":"","description":"Location name of the Side B","readOnly":true},"locationDetails":{"type":"string","format":"","description":"Location details","readOnly":true},"rackIdSideA":{"type":"integer","format":"integer","description":"Rack ID of the Side A","readOnly":true},"rackIdSideAName":{"type":"string","format":"","description":"Rack Name of the Side A","readOnly":true},"rackIdSideZ":{"type":"integer","format":"integer","description":"Rack ID of the Side B","readOnly":true},"rackIdSideZName":{"type":"string","format":"","description":"Rack Name of the Side B","readOnly":true},"goLiveDate":{"type":"string","format":"","description":"Go live date","readOnly":true},"internalId":{"type":"string","format":"","description":"Internal ID of the service","readOnly":true},"patchInternalName":{"type":"string","format":"","description":"Internal name of the patch","readOnly":true},"patchCustomerName":{"type":"string","format":"","description":"Customer name of the patch"},"thirdPartyId":{"type":"string","format":"","description":"Third party ID of the service","readOnly":true},"vendorId":{"type":"integer","format":"integer","description":"Vendor ID of the service","readOnly":true},"cableType":{"type":"integer","format":"integer","description":"Type of cable","readOnly":true},"cableSpeed":{"type":"integer","format":"integer","description":"Cable speed","readOnly":true},"connectorSideAType":{"type":"integer","format":"integer","description":"Connector of Side A","readOnly":true},"connectorSideZType":{"type":"integer","format":"integer","description":"Connector of Side Z","readOnly":true},"diverseFromPatchId":{"type":"integer","format":"integer","description":"Diverse from patch id","readOnly":true},"customerNotes":{"type":"string","format":"","description":"Notes of the customer","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/UpLink"},"description":"The available uplinks for this cross connect","readOnly":true},"connectivityType":{"type":"string","format":"","description":"The type of connectivity service\nFollowing will be possible values:\n* Connectivity: Transport\n* Connectivity: IP connectivity\n* Connectivity: Crossconnect","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true}},"additionalProperties":false},"UpLink":{"type":"object","required":["side","uplinkId"],"properties":{"side":{"type":"string","format":"","description":"Side of the uplink\nFollowing will be possible values for sides uplink:\n* A\n* Z","readOnly":true},"uplinkId":{"type":"integer","format":"integer","description":"Up Link ID","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}/cancel":{"put":{"tags":["CrossConnect"],"summary":"cancel the cross connect by ID","operationId":"updateCrossConnectCancel","parameters":[{"name":"crossConnectId","in":"path","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossConnect"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid crossConnectId"},"422":{"description":"unprocessable entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/crossConnect/{crossConnectId}/cancel/revert

> Revert the cancellation of a cross connect by ID

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CrossConnect":{"type":"object","required":["id","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","paymentTerm","monthlyFee","setupFee","currencyId","colocatedServerId","hostId","locationIdSideA","locationIdSideAName","locationIdSideZ","locationIdSideZName","locationDetails","rackIdSideA","rackIdSideAName","rackIdSideZ","rackIdSideZName","goLiveDate","internalId","patchInternalName","thirdPartyId","vendorId","cableType","cableSpeed","connectorSideAType","connectorSideZType","diverseFromPatchId","customerNotes","uplinks","connectivityType","outgoingTrafficSum","incomingTrafficSum","bandwidthBillingType"],"properties":{"id":{"type":"integer","format":"integer","description":"Cross connect ID","readOnly":true},"dateStart":{"type":"string","format":"","description":"Start date of the cross connect","readOnly":true},"dateEnd":{"type":"string","format":"","description":"End date of the cross connect","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"Cancelled date of the cross connect","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"End contract date of the cross connect","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"Contract period of the cross connect","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"Extend period of the cross connect","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"Payment term of the cross connect","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order of the cross connect"},"monthlyFee":{"type":"string","format":"","description":"Monthly fee of the cross connect in cents","readOnly":true},"setupFee":{"type":"string","format":"","description":"Setup fee of the cross connect in cents","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency ID\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"colocatedServerId":{"type":"integer","format":"integer","description":"Colocated server ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"Host ID","readOnly":true},"locationIdSideA":{"type":"integer","format":"integer","description":"Location ID of the Side A","readOnly":true},"locationIdSideAName":{"type":"string","format":"","description":"Location name of the Side A","readOnly":true},"locationIdSideZ":{"type":"integer","format":"integer","description":"Location ID of the Side B","readOnly":true},"locationIdSideZName":{"type":"string","format":"","description":"Location name of the Side B","readOnly":true},"locationDetails":{"type":"string","format":"","description":"Location details","readOnly":true},"rackIdSideA":{"type":"integer","format":"integer","description":"Rack ID of the Side A","readOnly":true},"rackIdSideAName":{"type":"string","format":"","description":"Rack Name of the Side A","readOnly":true},"rackIdSideZ":{"type":"integer","format":"integer","description":"Rack ID of the Side B","readOnly":true},"rackIdSideZName":{"type":"string","format":"","description":"Rack Name of the Side B","readOnly":true},"goLiveDate":{"type":"string","format":"","description":"Go live date","readOnly":true},"internalId":{"type":"string","format":"","description":"Internal ID of the service","readOnly":true},"patchInternalName":{"type":"string","format":"","description":"Internal name of the patch","readOnly":true},"patchCustomerName":{"type":"string","format":"","description":"Customer name of the patch"},"thirdPartyId":{"type":"string","format":"","description":"Third party ID of the service","readOnly":true},"vendorId":{"type":"integer","format":"integer","description":"Vendor ID of the service","readOnly":true},"cableType":{"type":"integer","format":"integer","description":"Type of cable","readOnly":true},"cableSpeed":{"type":"integer","format":"integer","description":"Cable speed","readOnly":true},"connectorSideAType":{"type":"integer","format":"integer","description":"Connector of Side A","readOnly":true},"connectorSideZType":{"type":"integer","format":"integer","description":"Connector of Side Z","readOnly":true},"diverseFromPatchId":{"type":"integer","format":"integer","description":"Diverse from patch id","readOnly":true},"customerNotes":{"type":"string","format":"","description":"Notes of the customer","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/UpLink"},"description":"The available uplinks for this cross connect","readOnly":true},"connectivityType":{"type":"string","format":"","description":"The type of connectivity service\nFollowing will be possible values:\n* Connectivity: Transport\n* Connectivity: IP connectivity\n* Connectivity: Crossconnect","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB - defined by \"bandwidthBillingType\")","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true}},"additionalProperties":false},"UpLink":{"type":"object","required":["side","uplinkId"],"properties":{"side":{"type":"string","format":"","description":"Side of the uplink\nFollowing will be possible values for sides uplink:\n* A\n* Z","readOnly":true},"uplinkId":{"type":"integer","format":"integer","description":"Up Link ID","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}/cancel/revert":{"put":{"tags":["CrossConnect"],"summary":"Revert the cancellation of a cross connect by ID","operationId":"updateCrossConnectCancelRevert","parameters":[{"name":"crossConnectId","in":"path","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossConnect"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossConnect"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid crossConnectId"},"422":{"description":"unprocessable entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/year

> Get the traffic usage graph (last year)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/year":{"get":{"tags":["CrossConnect"],"summary":"Get the traffic usage graph (last year)","operationId":"getCrossConnectNetworkUsageGraphYears","parameters":[{"name":"crossConnectId","in":"path","description":"ID of the cross connect to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid cross connect ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/month

> Get the traffic usage graph (last 30 days)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/month":{"get":{"tags":["CrossConnect"],"summary":"Get the traffic usage graph (last 30 days)","operationId":"getCrossConnectNetworkUsageGraphMonths","parameters":[{"name":"crossConnectId","in":"path","description":"ID of the cross connect to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid cross connect ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/week

> Get the traffic usage graph (last 7 days)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/week":{"get":{"tags":["CrossConnect"],"summary":"Get the traffic usage graph (last 7 days)","operationId":"getCrossConnectNetworkUsageGraphWeeks","parameters":[{"name":"crossConnectId","in":"path","description":"ID of the cross connect to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid cross connect ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/day

> Get the traffic usage graph (last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CrossConnect","description":"Cross connect service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crossConnect/{crossConnectId}/network/usage/{upLinkId}/graph/day":{"get":{"tags":["CrossConnect"],"summary":"Get the traffic usage graph (last 24 hours)","operationId":"getCrossConnectNetworkUsageGraphDays","parameters":[{"name":"crossConnectId","in":"path","description":"ID of the cross connect to fetch traffic for","required":true,"schema":{"type":"integer"}},{"name":"upLinkId","in":"path","description":"ID of the uplink to fetch traffic for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Base64 encoded image string","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":""}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid cross connect ID or uplink ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/crossconnect-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
